﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using TaskManager.Models.Context;

namespace TaskManager
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    //Главный файл проекта, содержит глобальные настройки.

    public class MvcApplication : System.Web.HttpApplication
    {
      
        //Все то, что выполняется при старте приложения.
        protected void Application_Start()
        {
            //Вызов SetInitializer необходим для корректной работы с предзаполнеными базами данных.
            System.Data.Entity.Database.SetInitializer<DataContext>(null);

            MvcHandler.DisableMvcResponseHeader = true;

            AreaRegistration.RegisterAllAreas();

            //Зарегистрировать "маршруты" из файла TaskManager.App_Start.RouteConfig.cs
            RouteConfig.RegisterRoutes(RouteTable.Routes); 
        }
    }
}