﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;
using TaskManager.Models.Entities;

namespace TaskManager.Models.Context
{
    //Контекст представляет все таблицы в базе данных.
    public class DataContext : DbContext
    {
        public DbSet<Invite> Invites { get; set; }
        public DbSet<Meet> Meets { get; set; }
        public DbSet<Tag> Tags { get; set; }
        public DbSet<User> Users { get; set; }
        public DbSet<MeetToTag> MeetingsToTags { get; set; }
        public DbSet<UserToMeet> UsersToMeets { get; set; }
        public DbSet<UserToTag> UsersToTags { get; set; }
     
    }
}