﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace TaskManager.Models.Entities
{
    //Этот класс представляет собой базовую сущность, содержит поля, которые есть у всех таблиц в 
    //базе данных. Все сущности наследуются от базовой сущности.
    [DataContract(IsReference = true)]
    public class BaseEntity
    {
        //DataMember указывает имя поля которое используется в Javascript(клиентской части) 
        //для доступа к этому полю.
        [DataMember(Name = "Id")]
        public int Id { get; set; }
    }
}