﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace TaskManager.Models.Entities
{
    //Класс представляющий строку таблицы Invites в базе данных
    [DataContract(IsReference = true)]
    public class Invite : BaseEntity
    {
        //DataMember указывает имя поля которое используется в Javascript(клиентской части) 
        //для доступа к этому полю.

        [DataMember(Name = "Meet")]
        public int MeetId { get; set; }

        [DataMember(Name = "SenderName")]
        string SenderName { get; set; }

        [DataMember(Name = "RecieverName")]
        string RecieverName { get; set; }
    }
}