﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;


namespace TaskManager.Models.Entities
{
    //Класс представляющий строку таблицы Meetings в базе данных

    [DataContract(IsReference = true)]
    public class Meet : BaseEntity
    {
        //DataMember указывает имя поля которое используется в Javascript(клиентской части) 
        //для доступа к этому полю.

        [DataMember(Name = "Date")]
        public DateTime Date { get; set; }

        [DataMember(Name = "Duration")]
        public int Duration { get; set; }

        [DataMember(Name = "Description")]
        public string Description { get; set; }

        [DataMember(Name = "HostName")]
        public string HostName { get; set; }

        [DataMember(Name = "Place")]
        public string Place { get; set; }

        [DataMember(Name = "Latitude")]
        public float Latitude { get; set; }

        [DataMember(Name = "Longitude")]
        public float Longitude { get; set; }
    }
}