﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace TaskManager.Models.Entities
{
    //Класс представляющий строку таблицы MeetingsToTags в базе данных

    [DataContract(IsReference = true)]
    public class MeetToTag : BaseEntity
    {
        //DataMember указывает имя поля которое используется в Javascript(клиентской части) 
        //для доступа к этому полю.

        [DataMember(Name = "Tag")]
        public int TagId { get; set; }

        [DataMember(Name = "Meet")]
        public int MeetId { get; set; }
    }
}