﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using TaskManager.Models.Entities;



namespace TaskManager.Models.Interfaces.Services
{
    //Интерфейс для сервиса UserService нужен для сохранения принципов ООП.
    //Указывает какие методы должен содержать UserService
    public interface IUserService
    {
        IQueryable<User> GetAll();

        void Insert(User addUser);

        User GetById(int Id);

        void Delete(User delUser);
    }
}