﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace TaskManager.Models.Entities
{
    //Класс представляющий строку таблицы Users в базе данных

    [DataContract(IsReference = true)]
    public class User : BaseEntity
    {
        //DataMember указывает имя поля которое используется в Javascript(клиентской части) 
        //для доступа к этому полю.

        [DataMember(Name = "Name")]
        public string Name { get; set; }

        [DataMember(Name = "Password")]
        public string Password { get; set; }
    }
}