﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TaskManager.Models.Exceptions
{
    //Пользовательское исключение которое выбрасывается, когда в Http запросе не найден передаваемый объект.
    public class EntityNotFoundException: Exception
    {
        public EntityNotFoundException():base(""){}

        public EntityNotFoundException(string message): base(message)
        {            
        }

        public override string ToString()
        {
            if (String.IsNullOrEmpty(Message))
                return "Entity not found";

            return Message;
        }
    }
}
