﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using TaskManager.Models.Entities;
using TaskManager.Models.Repository;

namespace TaskManager.Models.Services
{
    //Базовый сервис - в нем создается экземпляр Репозитория.
    //Все сервисы наследуются от базового сервиса.
    public class BaseService<T> where T : BaseEntity
    {
   
        public Repository<T> Repository = new Repository<T>();

    }
}